setup.deco = {
    piercing:{},
    tattoo:{}
}

setup.getDeco = function(type:string,position:string,id:number|string){
    if(!setup.deco[type] || !setup.deco[type][position])
        return {};
    if(typeof id == 'number')
    {
        const positionData = setup.getDecoPosition(type,position);
        let item = clone(positionData);
        item.id = id;
        item.image = item.image.replace('#',id);
        return item;
    }
}

setup.getDecoPosition = function(type:string,position:string){
    return setup.deco[type][position];
}

setup.getDecoPositions = function(type:string){
    return Object.keys(setup.deco[type]);
}